[DRE-commits] [diaspora] 160/257: don't install gems if they are already installed

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Sun Apr 12 14:17:20 UTC 2015


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository diaspora.

commit d12bba57a47aa6f48c78d630395bd39e853eb95f
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Thu Nov 27 15:37:11 2014 +0530

    don't install gems if they are already installed
---
 debian/postinst | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/debian/postinst b/debian/postinst
index de36ffc..ee6b8fe 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -47,19 +47,19 @@ case "$1" in
 		then gem install handlebars_assets
 	fi
 	
-	if gem list rails-timeago | grep rails-timeago
+	if ! gem list rails-timeago | grep rails-timeago
 		then gem install rails-timeago
 	fi
 	
-	if gem list foreman | grep foreman
+	if ! gem list foreman | grep foreman
 		then gem install -v=0.62.0 foreman
 	fi
 
-	if gem list devise | grep devise
+	if ! gem list devise | grep devise
 		then gem install -v=3.4.1 devise
 	fi
 	
-	if gem list rails-assets-jquery-idletimer | grep rails-assets-jquery-idletimer
+	if ! gem list rails-assets-jquery-idletimer | grep rails-assets-jquery-idletimer
 		then gem install --source https://rails-assets.org rails-assets-jquery-idletimer
 	fi
 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/diaspora.git



More information about the Pkg-ruby-extras-commits mailing list